using System;
using R3;
using UnityEngine;

namespace KitsuneCafe.SOAP
{
    public interface IReactiveSource<T>
    {
        Observable<T> AsObservable();
    }

    [Serializable]
    public abstract class ReactiveSource<T> : ScriptableObject, IReactiveSource<T>
    {
        public abstract Observable<T> AsObservable();
    }
}